Ubuntu

Acer: Cannot change brightness with 2.6.27-11+ kernel

Reported by Marc-André Turcotte on 2009-02-23
62
This bug affects 6 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Stefan Bader
Intrepid
Medium
Unassigned
Jaunty
Medium
Stefan Bader
Karmic
Medium
Stefan Bader

Bug Description

SRU justification:

Impact: After I carelessly pulled in some updates to the ACPI video code, we were faced with some regressions. One was (at least) a certain Acer laptop model that suddenly had no backlight control.

Fix: As the ACPI BIOS is broken on a way that only the *wrong* graphics definition will be accepted by acpi-video as the right definition lacks an attribute to be considered, the fix is to have less strict requirements to that check, so the definition for the right graphics device gets accepted (a patch doing that unconditionally, has been submitted upstream and has been acked, but might not make it until 2.6.32). For the stable tree I created more code which makes sure the less strict tests only take effect on that laptop or when the user really wants to.

Testcase: Booting on another laptop will not activate the code (which prints a "Using less strict video detection..." message) but will do with "acpi_video_strict_detect=0". In both cases nothing bad happened. The affected laptop boots and selects the new check which gives back the backlight control.

---

Since the 2.6.27-11 generic kernel (also in 2.6.27-12) I cannot change the backlight brightness anymore. In the latest kernel, it seems there's no more file in /proc/acpi/video, but GFX0 still apears in 2.6.27-9 where I can still change brightness. I'm new to linux so if you need information give me the command to run. It's an acer 6920G laptop.

description: updated
unclben (red117+launchpad) wrote :

I can confirm this on my ThinkPad (dmidecode outputs below).
Lenovo
7668CTO
ThinkPad X61s

The laptop is only a few days old. When running the Intrepid Live CD (which I assume is an older kernel than 2.6.27-11), backlight control worked fine. Since installing and updating to current kernel, however, I cannot control the backlight level at all. I have tried the function keys, the gnome brightness applet, and the xbacklight CLI application.

It seems that whatever brightness I set in the power management settings GUI takes effect when I boot fresh (i.e. full boot, not a resume from suspend or hibernate). xbacklight also reports that setting.

If I try to change the setting via the function keys, the OSD appears and the bar will move as it should... but the backlight doesn't actually adjust. If I try to change via the brightness applet slider, it moves up and down and holds position... but the backlight doesn't actually adjust. If I try to set a new level via xbacklight -set XX, xbacklight -get will report the value that I set (well, it's actually off by a smidge, but by and large it's the same number)... but the backlight doesn't actually adjust.

Is there anything else I can provide to help debugging?

Aside from the obvious battery life concern, having the wrong LCD backlight level for the current ambient lighting condition can be a huge eyestrain and can even render the laptop unusable in some cases. (this is my pleading to avoid getting set at 'low' importance)

Marc-André Turcotte (matmat07) wrote :

I've just looked at the changelog for the 2.6.27 kernel, and there's no mention of brightness in patch 10 and 11. Maybe something completely different is interfering. There seems to be some patch with brightness in the patch 15 and 16. For an unknown reason I can't compile kernels, but if you can try to see if it gets solved.

Marc-André Turcotte (matmat07) wrote :

I managed to compile the 2.6.27-19 kernel with patch and the brightness adjust works again. I ran into a error with the image file but it seems to work anyway.

unclben (red117+launchpad) wrote :

Any idea when 2.6.27-16 or newer will make it into Intrepid? I'm not comfortable compiling my own kernel.

Marc-André Turcotte (matmat07) wrote :

I have no idea, but i think there's an update each week.

unclben (red117+launchpad) wrote :

I tried installing the generic 2.6.27-19 mainline kernel as provided by the kernel team (https://wiki.ubuntu.com/KernelMainlineBuilds - even I can install a .deb!). Brightness changes work like a charm. I wish a developer would chime in and let us know if/when we'll get a newer kernel, since this regression seems to have been fixed upstream.

Stefan Bader (smb) wrote :

I placed test kernels (for Intrepid -proposed) to http://people.ubuntu.com/~smb/bug333386/. Could someone try that version and verify that this enables brightness again?

gidantribal (aedo999) wrote :

I tested your kernel (x64) and as result i just can't get even the applet animation working. no news in brightness control either...

Marc-André Turcotte (matmat07) wrote :

I'm in jaunty right now, and 2.6.28-11 (output of uname -r, but not on kernel.org?!) doesn't work too. the brightness applet shows it raise and goes down, but there's no change on the screen

Same thing in 2.6.29-1. I forgot to add last post that the key to raise the brightness doesn't send "±" anymore

gidantribal (aedo999) wrote :

I tested mainline kernel 27-19 and
brightness control WORKS again, sending the "±" when is enhancing.

By the way I can't use mainline kernel since i have restricted drivers to use :\

Jaunty-beta3: doens't solve anything, only applet works again.

gidantribal (aedo999) wrote :

@Marc

It's bad Jaunty-beta3 doens't solve the issue. Are they giving up solving this issue for our pc?

gidantribal (aedo999) wrote :

@Marc

It's bad Jaunty-beta3 doens't solve the issue. Are they giving up solving this issue for our pcs?

I'm still pretty new to linux, but first I would say that since it works again in 27-29, it should someday in the 28 series also. I don't really understand what's the problem with restricted drivers and a mainline kernel since sound and compiz effects worked with no problem when I tried. Maybe you could try to compile your own kernel.

To make sure it gets solved, I would guess we need to also check kernels between 27-14 and 27-19 to know where it was solved and send that info to the kernel team. I don't know if it works that way, I'm just guessing.

gidantribal (aedo999) wrote :

I have a problem with NVIDIA drivers and mainline kernel. It is also written in "limitations" that restricted drivers will not work...and that's what happened to me.

Did you try Jaunty and brightness worked? You said in your previous posts that:

>I'm in jaunty right now, and 2.6.28-11 (output of uname -r, but not on kernel.org?!) doesn't work too. the brightness
> applet shows it raise and goes down, but there's no change on the screen

>Same thing in 2.6.29-1.

It means it DOESN'T work in *.29 series. And your experience is like mine (jaunty beta3 doesn't solve the issue, only the applet).

I agree with you we have to find diff between the two versions and send to the team. It's annoying not being able to change brightness on a laptop (poor eyes).

Stefan Bader (smb) wrote :

First, no we do not give up on this, but things can get delayed by the bulk of other things.

@gidantribal, I saw that the test kernel did not help (or made things worse?). Could you post the dmesg from that kernel and 'grep -r . /proc/acpi/video'. Is the brightness changing when changing the values in the acpi brightness attribute?

The Jaunty kernel should not have the same specific problem as Intrepid. Intrepid has a bug where acer-wmi stops controlling brightness when there is no acpi brightness support. But it should do that when there _is_ support. This is fixed in Jaunty but apparently there are other issues as well.

Changed in linux (Ubuntu):
assignee: nobody → stefan-bader-canonical
importance: Undecided → Medium
status: New → Confirmed

In the 2.6.29-1 mainline kernel, on jaunty, "grep -r ./proc/acpi/video" gets stuck. I looked in that folder and there is no file in it. For he dmsg part, i' not sure what I have to do, but raising or lowering the brightness didn't change the output of dmsg

Marc-André Turcotte wrote:
> In the 2.6.29-1 mainline kernel, on jaunty, "grep -r ./proc/acpi/video"

You need the space between . and /proc/acpi/video otherwise the grep won't
work. The . is the search argument.

> gets stuck. I looked in that folder and there is no file in it. For he

If there are no files in that folder, that means there is no generic acpi
interface active. So the grep won't show anything anyway.

> dmsg part, i' not sure what I have to do, but raising or lowering the
> brightness didn't change the output of dmsg

The dmesg is useful to see whether acer-wmi gets loaded and probably what
messages it prints and maybe other things that might be interesting.

The backlight control for acer should be found under
/sys/devices/platform/acer-wmi/backlight/acer-wmi/
 From the code I am not completely sure how the nodes will be called, you can
help me with that. Does reading/writing there change the brightness?

grep gave me nothing like you said. Here's the dmesg log.

In the acer-wmi folder, there's only: a link to device folder, power folder, a link to subsystem folder, and 5 files I cannot read with gedit: actual_brightness, bl_power, brightness, max_brightness, uevent. Is there another way you think I could write something in these files?

Marc-André Turcotte wrote:
> gedit: actual_brightness, bl_power, brightness, max_brightness, uevent.
> Is there another way you think I could write something in these files?

Did you try "cat" to read and "echo value >file" to write? (It can be possible
you have to get root with sudo -i before (depending on the access rights).

cat works( you're making me learn very usefull command thanks) with everything but uevent and the output is like it should, but echo says permission denied for actual_brightness and max_brightness (I tried 1 for each) even under root. There was no brightness modification in the process

gidantribal (aedo999) wrote :

echo x > file says permission dedied even in ubuntu 8.10 (for each file). Values are all set to '9'.

gidantribal (aedo999) wrote :

echo x > file says permission denied even in ubuntu 8.10 (for each file). Values are all set to '9'.

bl_power gave me 0. Add sudo before it, or to be sure log in as root ( sudo su or sudo -su) to take out some permission denied

unclben (red117+launchpad) wrote :

FWIW, I loaded up the Jaunty Beta i386 LiveCD (well... on a USB stick) and brightness now works perfectly on my laptop.

gidantribal (aedo999) wrote :

@unclben have you got an acer 6920G? How can it be possible mine doesn't still work on Jaunty beta? Maybe it's because mine is a x64 distribution? By the way it soulds quite weird!!! By the way i tried only by applet, maybe i should try directly by commands...

If I'm right, maybe we are missing something that get's installed with jaunty. We upgraded to jaunty, so we may miss some package. Maybe a clean install would solve this. I have the beta jaunty live cd 64x somewhere on my desktop. I'll try tonight to see if it's 64bit related.

Found that bug which is close to ours: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/280518. I don't know if it's a real duplicate, I'll let someone who knows what he's doing mark it.

Brightness doesn't change on my beta jaunty 64x livecd. There was a message telling that it did, but nothing really happened.

unclben (red117+launchpad) wrote :

@gidantribal: See earlier in this bug report. I have a ThinkPad X61s, but I was having the same problem as Marc-Andre. I'm currently running the generic 2.6.27-19 kernel from the mainline kernel PPA, which solved the problem for me.

gidantribal (aedo999) wrote :

@Marc-André Turcotte: then let me understand.. with jaunty live cd x64 brightness is not solved at all. But I don't know if it is the same with i386 Jaunty? Did you get any working recent distribution?

@unclben: I'm happy it worked for thinkpad.. I know linux team was working on Thinkpad problems and bug has been fixed in Jaunty (see bug #311716). Unfortunately it's not the same for ACER 6920G.

It worked in intrepid with kernel 2.6.27-7 and -9 and stopped at -11(never tried -10). I don't know for i386. We have limited bandwidth, i'll download the i386 live cd on the 25th when our month start over

gidantribal (aedo999) wrote :

@Marc-André Turcotte: Ok, definitely we have the same defect (completely overlapped). Hope we will get rid of it.

found another repport for the 6920g, which one should be marked as duplicate of which one?
https://bugs.launchpad.net/ubuntu/+source/gnome-power-manager/+bug/344640

gidantribal (aedo999) wrote :

the last report you posted is not related to our issue. it's about applet problems, not really about ACPI problem itself... in our case it doesnt work even from command line :\

gidantribal (aedo999) wrote :

Sorry, I have just read that bug's EDIT:

"EDIT: Now (after ~150MB of updates) on-screen notification for brightness works (as respons to Fn + > and <), but nothing happens with actual brightness level... Hope you'll fix it soon"

it seems to be our problem reflected to jaunty. that's why i am sure it's not solved for jaunty either. Maybe it can be considered as a duplicate... btw hope they will fix it soon...

I don't a working kernel anymore but what would happen if we copied file from /proc/acpi/video of a working kernel into a non-working one, where these files are non-existing?

gidantribal (aedo999) wrote :

maybe it will not change anything since kernel has not reference to them? no idea, btw...

Marc-André Turcotte wrote:
> I don't a working kernel anymore but what would happen if we copied file
> from /proc/acpi/video of a working kernel into a non-working one, where
> these files are non-existing?
>
That would not help/work. The proc filesystem is a virtual filesystem that
reflects kernel information. A driver has to create the files there.

Let me try to give more information. The big problem with backlight control is that there are many ways to do it. There is a generic implementation in the acpi subsystem and then there are several vendor specific drivers that do the same with all the different interfaces vendors came up with.
With Acer laptops this driver is acer-wmi (And a Thinkpad uses thinkpad-acpi, so any feedback from non-Acer users is nicely meant but, sorry, totally useless).
Back in Intrepid (when it was working for you) both drivers (the generic and the vendor specific) were allowed to touch the backlight. But this caused problems for some (values changed twice on each keypress). To fix that some patches from upstream were backported that would only allow the acpi or the vendor driver but not both. Beside of other problems, this also did change the acer-wmi driver the wrong way. Now the driver would only work if the acpi generic driver was also there. But this bug is fixed in Jaunty.

So for Acer, and sorry if this is mostly duplicated, at some point long Launchpad bugs get confusing:
1. With the old Intrepid kernel that works, which directories are populated there?
    (/proc/acpi/video, /sys/devices/platform/acer-wmi/backlight, both?)
2. Then going to Jaunty (as this has the acer-wmi bug fixed at least), which of the places above are there.

Can you do a "grep -r . <dir>" and "ls -la <dir>" for the existing directories above (put all the output into one file and add comments which is from which kernel. Then attach it here as an uncompressed file, that is the most convenient form to look at).
The first thing that has to work would be the change when echoing into one of those interfaces. If that doesn't work, then the brightness applet cannot work.

Stefan Bader (smb) on 2009-05-13
Changed in linux (Ubuntu Intrepid):
importance: Undecided → Medium
status: New → Fix Committed
Stefan Bader (smb) on 2009-05-13
Changed in linux (Ubuntu Jaunty):
importance: Undecided → Medium
status: New → In Progress
assignee: nobody → Stefan Bader (stefan-bader-canonical)
Martin Pitt (pitti) on 2009-06-05
tags: added: verification-needed
Stefan Bader (smb) on 2009-07-30
summary: - Cannot change brightness with 2.6.27-11+ kernel
+ Acer: Cannot change brightness with 2.6.27-11+ kernel
Steve Beattie (sbeattie) on 2009-07-31
tags: added: hw-specific
54 comments hidden view all 134 comments
Stefan Bader (smb) wrote :

I think from the debugging point you could update, but as I did not have time to work on a special patch, you would be back to no brightness control. Which probably matters more.

gidantribal (aedo999) wrote :

yes, i'll keep the patched version until issue is solved i think.

Stefan Bader (smb) wrote :

I finally found time to think of a version that might be acceptable to get into Jaunty. I placed the kernels at the usual location at http://people.canonical.com/~smb/bug333386/. In theory this should detect your system, print a "Using less strict video detection" message in dmesg and the brightness control should work. If this fails (because I messed up the check) there is a second way by using "acpi_video_strict_detect=0" as a boot parameter. Please let me know how this works for you.

gidantribal (aedo999) wrote :

oki i'm going to install it

gidantribal (aedo999) wrote :

brightness works out of the box (without boot parameter) with your proposed kernel... here DMESG detail:
[ 8.769760] acer-wmi: Acer Laptop ACPI-WMI Extras
[ 8.770046] ACPI: Using less restrictive video detection
[ 8.770047] acer-wmi: Brightness must be controlled by generic video driver
[ 8.770119] acer-wmi: software RFKILL enabled

Anyway FN-keys issue is still present, the same as before:

[Initial status of the machine is BRIGHTNESS_MAX]
If I press FN+BRIGHTNESS_DOWN just once
       > It increases (correctly) to BRIGHTNESS_MAX-1 but then *immediately*
           goes to BRIGHTNESS_MIN (wrong)

[Initial status of the machine is BRIGHTNESS_MIN]
If I press FN + BRIGHTNESS_UP just once
       > It increases to BRIGHTNESS_MAX+1 (correctly) but then immediately
           increases again, so finally it goes to BRIGHTNESS_MAX+2 (wrong)
If I press FN + BRIGHTNESS_UP again
       > It returns to BRIGHTNESS_MAX+1 (wrong)

[...] view old message for details...

Thanks for the quick test. I'll try to get that into the default kernel then.
Unfortunately for the problem with the key I would not put too much hope into
getting it fixed in Jaunty. Karmic is nearing its Beta and more effort will go
into that.

Could you explain to me what should I do to install de kernel?
Please think in a step by step explanation.
Thanks,

Pablo Ferrari

2009/8/27 Stefan Bader <email address hidden>

> I finally found time to think of a version that might be acceptable to
> get into Jaunty. I placed the kernels at the usual location at
> http://people.canonical.com/~smb/bug333386/. In theory this should
> detect your system, print a "Using less strict video detection" message
> in dmesg and the brightness control should work. If this fails (because
> I messed up the check) there is a second way by using
> "acpi_video_strict_detect=0" as a boot parameter. Please let me know how
> this works for you.
>
> --
> Acer: Cannot change brightness with 2.6.27-11+ kernel
> https://bugs.launchpad.net/bugs/333386
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “linux” package in Ubuntu: Confirmed
> Status in linux in Ubuntu Intrepid: Fix Committed
> Status in linux in Ubuntu Jaunty: In Progress
>
> Bug description:
> Since the 2.6.27-11 generic kernel (also in 2.6.27-12) I cannot change the
> backlight brightness anymore. In the latest kernel, it seems there's no more
> file in /proc/acpi/video, but GFX0 still apears in 2.6.27-9 where I can
> still change brightness. I'm new to linux so if you need information give me
> the command to run. It's an acer 6920G laptop.
>

Pablo (pjferra) wrote :

Sorry, when I saw it was a .deb file I had already sent de message.
I had no problem to install and it worked fine.
I have an Acer Aspire 5738

Fn keys work too, but I found a couple of isues:
* when using the Fn keys and you're near the less bright side it moves very
slowly (doesn't occur near the more bright side)
* It has a curious behaviour when connecting and disconnecting the power
adapter: sometimes changes brightness, sometimes not. Sometimes changes too
much, sometimes just to the half bright. And sometimes it changes even if
you don't do anything.

I hope it would help. I'm not an expert user, buy I offer my simple-user
experience.

Thanks to all of you

2009/8/28 Pablo Javier Ferrari Ferrando <email address hidden>

> Could you explain to me what should I do to install de kernel?
> Please think in a step by step explanation.
> Thanks,
>
> Pablo Ferrari
>
>
>
>
> 2009/8/27 Stefan Bader <email address hidden>
>
> I finally found time to think of a version that might be acceptable to
>> get into Jaunty. I placed the kernels at the usual location at
>> http://people.canonical.com/~smb/bug333386/. In theory this should
>> detect your system, print a "Using less strict video detection" message
>> in dmesg and the brightness control should work. If this fails (because
>> I messed up the check) there is a second way by using
>> "acpi_video_strict_detect=0" as a boot parameter. Please let me know how
>> this works for you.
>>
>> --
>> Acer: Cannot change brightness with 2.6.27-11+ kernel
>> https://bugs.launchpad.net/bugs/333386
>> You received this bug notification because you are a direct subscriber
>> of a duplicate bug.
>>
>> Status in “linux” package in Ubuntu: Confirmed
>> Status in linux in Ubuntu Intrepid: Fix Committed
>> Status in linux in Ubuntu Jaunty: In Progress
>>
>> Bug description:
>> Since the 2.6.27-11 generic kernel (also in 2.6.27-12) I cannot change the
>> backlight brightness anymore. In the latest kernel, it seems there's no more
>> file in /proc/acpi/video, but GFX0 still apears in 2.6.27-9 where I can
>> still change brightness. I'm new to linux so if you need information give me
>> the command to run. It's an acer 6920G laptop.
>>
>
>

gidantribal (aedo999) wrote :

@Pablo: can you experience the same behaviour of FN keys I experienced (please see my comment above [#88] on FN keys)...... Have you got an Acer Aspire 6920G?

gidantribal (aedo999) wrote :

@Stefan Bader:
I'm glad to hear this patch will be put in the default kernel... it means it will be included also in karmic, doesn't it?
About FN keys... do you mean it will be faced in Karmic as new bug and just ignored in jaunty?

Not automatically as it is in the process at a time when it not gets into
2.6.31 final but rather 2.6.32. But I currently try to get it pro-actively into
Karmic as well.
The function keys might probably work. I did see that your BIOS definitions
have another bug with the brightness levels, which I believe is handled in
Karmic (normally the first two values are supposed to be the levels for on-ac
and on-battery and are handled differently, but your bios just has real levels
in it). So I would suggest to try out karmic (not yet but next alpha or beta).
If it has brightness control but still the FN-key problem, it would be good to
open a new bug for that. The problem is different and the more specific we are
in a bug, the better to handle it.

Stefan Bader (smb) wrote :

Pablo wrote:
> Sorry, when I saw it was a .deb file I had already sent de message.
> I had no problem to install and it worked fine.
> I have an Acer Aspire 5738

Thanks for trying, too. Just wondering: did it work right away or had you to
use the command line option? (as I have not encoded a 5738).

Tim Gardner (timg-tpi) on 2009-08-31
Changed in linux (Ubuntu Karmic):
status: Confirmed → Fix Committed

@gidantribal:

@Pablo: can you experience the same behaviour of FN keys I experienced
> (please see my comment above [#88] on FN keys)...... Have you got an
> Acer Aspire 6920G?
>
> I didn't experience the same behaviour you told. Fn keys work fine but with
a very small increment on each key-stroke, which makes it quite irritating
(it's worse while you go to the less-bright side), but I've managed whith
the panel bright-control.
I've found strange behaviour when connecting and disconnecting the
power-adapter, but just don't care about this:

@Stefan:

Thanks for trying, too. Just wondering: did it work right away or had you to
> use the command line option? (as I have not encoded a 5738).
>

It worked right away. Thanks

killo (killom) wrote :

Hi all, I have the same problem you have described with my Aspire 8930g. Brightness works with Intrepid beta live cd (2.6.27-4) but doesn't works with Jaunty live cd. I've tried also with Sabayon and Arch with post 2.6.27 kernel and it doesn't work, so it seems that it's a kernel issue and it has to be fixed in the vanilla sources.
I haven't tried the patched kernel yet because now I have Arch installed.
So I ask: will this bug be fixed only in Ubuntu version of the kernel or also in the official Linux sources?

Changed in linux (Ubuntu Karmic):
status: Fix Committed → Fix Released
status: Fix Released → Fix Committed
killo (killom) wrote :

Sorry for the status change, i'm new in launchpad :\

Stefan Bader (smb) wrote :

With a similar BIOS problem, brightness will not work on kernels after 2.6.28 and before the submitted patch hits upstream. It has been submitted but probably gets not included before 2.6.32

Changed in linux (Ubuntu Jaunty):
status: In Progress → Fix Committed
killo (killom) wrote :

The fixed kernel worked for me too, without command line option at boot! (Jaunty, aspire 8930g)
Thank you

Martin Pitt (pitti) on 2009-09-03
tags: added: verification-done
removed: verification-needed
Stefan Bader (smb) wrote :

I move this to "won't fix" for Intrepid as that release is too old to justify a backport effort.

description: updated
Changed in linux (Ubuntu Intrepid):
status: Fix Committed → Won't Fix
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.31-10.30

---------------
linux (2.6.31-10.30) karmic; urgency=low

  [ Amit Kucheria ]

  * [Config] Enable CONFIG_USB_DEVICEFS
    - LP: #417748
  * [Config] Populate the config-update template a bit more

  [ Andy Whitcroft ]

  * rebase to v2.6.31-rc9
  * [Config] update configs following rebase to v2.6.31-rc9
  * [Config] update ports configs following rebase to v2.6.31-rc9

  [ Colin Ian King ]

  * SAUCE: wireless: hostap, fix oops due to early probing interrupt
    - LP: #254837

  [ Jerone Young ]

  * [Upstream] ACPI: Add Thinkpad T400 & Thinkpad T500 to OSI(Linux)
    white-list
    - LP: #281732
  * [Upstream] ACPI: Add Thinkpad X200, X200s, X200t to OSI(Linux)
    white-list
    - LP: #281732
  * [Upstream] ACPI: Add Thinkpad X300 & Thinkpad X301 to OSI(Linux)
    white-list
    - LP: #281732
  * [Upstream] ACPI: Add Thinkpad R400 & Thinkpad R500 to OSI(Linux)
    white-list
    - LP: #281732
  * [Upstream] ACPI: Add Thinkpad W500, W700, & W700ds to OSI(Linux)
    white-list
    - LP: #281732

  [ John Johansen ]

  * SAUCE: AppArmor: Fix profile attachment for regexp based profile names
    - LP: #419308
  * SAUCE: AppArmor: Return the correct error codes on profile
    addition/removal
    - LP: #408473
  * SAUCE: AppArmor: Fix OOPS in profile listing, and display full list
    - LP: #408454
  * SAUCE: AppArmor: Fix mapping of pux to new internal permission format
    - LP: #419222
  * SAUCE: AppArmor: Fix change_profile failure
    - LP: #401931
  * SAUCE: AppArmor: Tell git to ignore generated include files
    - LP: #419505

  [ Stefan Bader ]

  * [Upstream] acpi: video: Loosen strictness of video bus detection code
    - LP: #333386
  * SAUCE: Remove ov511 driver from ubuntu subdirectory

  [ Tim Gardner ]

  * [Config] Exclude char-modules from non-x86 udeb creation
  * SAUCE: Notify the ACPI call chain of AC events
  * [Config] CONFIG_SATA_VIA=m
    - LP: #403385
  * [Config] Build in all phylib support modules.
  * [Config] Don't fail when sub-flavour files are missing
    - LP: #423426
  * [Config] Set CONFIG_LSM_MMAP_MIN_ADDR=0
    - LP: #423513

  [ Upstream ]

  * Rebased against v2.6.31-rc9

 -- Andy Whitcroft <email address hidden> Mon, 07 Sep 2009 11:33:45 +0100

Changed in linux (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.27-14.41

---------------
linux (2.6.27-14.41) intrepid-proposed; urgency=low

  [ Stefan Bader ]

  * Revert "SAUCE: input: Blacklist digitizers from joydev.c"
    - LP: #300143

linux (2.6.27-14.40) intrepid-proposed; urgency=low

  [ Amit Kucheria ]

  * Disable DEVKMEM for all archs on Intrepid
    - LP: #354221
  * SAUCE: Quirk for BT USB device on MacbookPro to be reset before use
    - LP: #332443

  [ Andy Isaacson ]

  * LIRC_PVR150: depends on VIDEO_IVTV
    - LP: #341477
  * SAUCE: FSAM7400: select CHECK_SIGNATURE
    - LP: #341712

  [ Andy Whitcroft ]

  * SAUCE: hotkey quirks for various Zepto Znote and Fujitsu Amilo laptops
    - LP: #330259
  * SAUCE: unusual devs: add an entry for the ScanLogic SL11R-IDE 0.78
    - LP: #336189

  [ Anton Veretenenko ]

  * SAUCE: sony-laptop: add support for Sony Vaio FW series function/media
    keys
    - LP: #307592

  [ Ayaz Abdulla ]

  * SAUCE: forcedeth: msi interrupt fix
    - LP: #288281

  [ Chuck Short ]

  * SAUCE: [USB] Unusual Device support for Gold MP3 Player Energy
    - LP: #125250

  [ Ike Panhc ]

  * squashfs: correct misspelling
    - LP: #322306
  * SAUCE: Fixing symbol name in HECI module
    - LP: #336549
  * Copy header files for various kernel media driver
    - LP: #322732

  [ Stefan Bader ]

  * SAUCE: vgacon: Return the upper half of 512 character fonts
    - LP: #355057
  * SAUCE: input: Blacklist digitizers from joydev.c
    - LP: #300143

  [ Upstream Kernel Changes ]

  * libata: make sure port is thawed when skipping resets
    - LP: #269652
  * x86-64: fix int $0x80 -ENOSYS return
    - LP: #339743
  * rt2x00: Fix race conditions in flag handling
    - LP: #258985
  * USB: cdc-acm: Add another conexant modem to the quirks
    - LP: #323829
  * Bluetooth: Add fine grained mem_flags usage to btusb driver
    - LP: #268502
  * Bluetooth: Handle bulk URBs in btusb driver from notify callback
    - LP: #268502
  * Bluetooth: Submit bulk URBs along with interrupt URBs
    - LP: #268502
  * hwmon: (abituguru3) Match partial DMI board name strings
    - LP: #298798
  * x86: mtrr: don't modify RdDram/WrDram bits of fixed MTRRs
    - LP: #292619
  * sis190: add identifier for Atheros AR8021 PHY
    - LP: #247889
  * ath9k: implement IO serialization
    - LP: #373034
  * ath9k: AR9280 PCI devices must serialize IO as well
    - LP: #373034
  * acer-wmi: fix regression in backlight detection
    - LP: #333386

 -- Stefan Bader <email address hidden> Wed, 26 Aug 2009 11:48:11 +0200

Changed in linux (Ubuntu Intrepid):
status: Won't Fix → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.28-15.52

---------------
linux (2.6.28-15.52) jaunty-proposed; urgency=low

  [ Stefan Bader ]

  * Revert "SAUCE: ACPI: Populate DIDL before registering ACPI video device
    on Intel"
    - LP: #423296
  * SAUCE: Allow less restrictive acpi video detection
    - LP: #333386

  [ Upstream Kernel Changes ]

  * include drivers/pci/hotplug/* in -virtual package
    - LP: #364916
  * ext4: don't call jbd2_journal_force_commit_nested without journal
    - LP: #418197
  * ext4: fix ext4_free_inode() vs. ext4_claim_inode() race
    - LP: #418197
  * ext4: fix bogus BUG_ONs in in mballoc code
    - LP: #418197
  * ext4: fix typo which causes a memory leak on error path
    - LP: #418197
  * ext4: Fix softlockup caused by illegal i_file_acl value in on-disk
    inode
    - LP: #418197
  * ext4: Fix sub-block zeroing for writes into preallocated extents
    - LP: #418197
  * jbd2: Call journal commit callback without holding j_list_lock
    - LP: #418197
  * ext4: Print the find_group_flex() warning only once
    - LP: #367065
  * ext4: really print the find_group_flex fallback warning only once
    - LP: #367065

linux (2.6.28-15.51) jaunty-proposed; urgency=low

  [ Colin Ian King ]

  * SAUCE: wireless: hostap, fix oops due to early probing interrupt
    - LP: #254837

  [ Leann Ogasawara ]

  * Add the atl1c driver to support Atheros AR8132
    - LP: #415358
  * Updating configs to enable the atl1c driver
    - LP: #415358

  [ Stefan Bader ]

  * Revert "SAUCE: input: Blacklist digitizers from joydev.c"
    - LP: #300143
  * SAUCE: Fix the exported name for e1000e-next
    - LP: #402890
  * SAUCE: Fix incorrect stable backport to bas_gigaset
    - LP: #417732
  * SAUCE: Remove the atl2 driver from the ubuntu subdirectory
    - LP: #419438

linux (2.6.28-15.50) jaunty-proposed; urgency=low

  [ Colin Ian King ]

  * SAUCE: radio-maestro: fix panics on probe failure
    - LP: #357724
  * SAUCE: HDA Intel, sigmatel: Enable speakers on HP Mini 1000
    - LP: #318942

  [ Jerone Young ]

  * SAUCE: Fix Soltech TA12 volume hotkeys not sending key release in
    Jaunty
    - LP: #397499

  [ John Johansen ]

  * SAUCE: remove AppArmor debug check for calls from interrupt context
    - LP: #350789

  [ Manoj Iyer ]

  * SAUCE: Fix kernel panic when SELinux is enabled.
    - LP: #395219

  [ Matthew Garrett ]

  * SAUCE: ACPI: Populate DIDL before registering ACPI video device on
    Intel

  [ Michael Frey (Senior Manager, MID ]

  * SAUCE: Fix for internal microphone for Dell Mini10V
    - LP: #394793

  [ Tim Gardner ]

  * SAUCE: Added e1000e from sourceforge.
    - LP: #402890

  [ Upstream Kernel Changes ]

  * Input: synaptics - report multi-taps only if supported by the device
    - LP: #399787
  * ftdi_sio: fix kref leak
    - LP: #396930, #376128
  * IPv6: add "disable" module parameter support to ipv6.ko
    - LP: #351656

 -- Stefan Bader <email address hidden> Thu, 27 Aug 2009 15:09:06 +0200

Changed in linux (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Pablo (pjferra) wrote :

I'm sorry to bother...

Yesterday I accepted the updates proposed by the Update Manager, which
included a kernel update (version 2.6.28-15.52) and the brightness problem
came back.

(I know I should have known it could happen but... I have already done it)

The main problem now is that I don't knok how to go back.
I've tried to install the patch again but the package installer says that
there is a newer version installed and doesn't proceed.

I'll thank you any help

                     Pablo

2009/8/31 Stefan Bader <email address hidden>

> Pablo wrote:
> > Sorry, when I saw it was a .deb file I had already sent de message.
> > I had no problem to install and it worked fine.
> > I have an Acer Aspire 5738
>
> Thanks for trying, too. Just wondering: did it work right away or had you
> to
> use the command line option? (as I have not encoded a 5738).
>
> --
> Acer: Cannot change brightness with 2.6.27-11+ kernel
> https://bugs.launchpad.net/bugs/333386
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “linux” package in Ubuntu: Fix Committed
> Status in linux in Ubuntu Intrepid: Fix Committed
> Status in linux in Ubuntu Jaunty: In Progress
> Status in linux in Ubuntu Karmic: Fix Committed
>
> Bug description:
> Since the 2.6.27-11 generic kernel (also in 2.6.27-12) I cannot change the
> backlight brightness anymore. In the latest kernel, it seems there's no more
> file in /proc/acpi/video, but GFX0 still apears in 2.6.27-9 where I can
> still change brightness. I'm new to linux so if you need information give me
> the command to run. It's an acer 6920G laptop.
>

@Pablo,

sorry to hear that and strange. Because the patch should be included in -15.52
as far as I can see. Do you get a message when doing "dmesg |grep 'less
restr'"? If not, you might try to boot with acpi_video_strict_detect=0 and see
whether that helps.

Maybe you had a version installed, that did not do a check for a certain system
(I already wondered why the latest one worked for you as you had a slightly
different laptop, iirc).

Going back to that kernel version should work with "dpkg -i" but on the other
hand would keep you from getting any updates that came along with the newer
version.

Please let me know whether the boot option above helps.

Where should I type the "acpi_video_strict_detect=0" option? You'll see I'm
not very experimented user...
Thanks

2009/10/3 Stefan Bader <email address hidden>

> @Pablo,
>
> sorry to hear that and strange. Because the patch should be included in
> -15.52
> as far as I can see. Do you get a message when doing "dmesg |grep 'less
> restr'"? If not, you might try to boot with acpi_video_strict_detect=0 and
> see
> whether that helps.
>
> Maybe you had a version installed, that did not do a check for a certain
> system
> (I already wondered why the latest one worked for you as you had a slightly
> different laptop, iirc).
>
> Going back to that kernel version should work with "dpkg -i" but on the
> other
> hand would keep you from getting any updates that came along with the newer
> version.
>
> Please let me know whether the boot option above helps.
>
> --
> Acer: Cannot change brightness with 2.6.27-11+ kernel
> https://bugs.launchpad.net/bugs/333386
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “linux” package in Ubuntu: Fix Released
> Status in linux in Ubuntu Intrepid: Fix Released
> Status in linux in Ubuntu Jaunty: Fix Released
> Status in linux in Ubuntu Karmic: Fix Released
>
> Bug description:
> SRU justification:
>
> Impact: After I carelessly pulled in some updates to the ACPI video code,
> we were faced with some regressions. One was (at least) a certain Acer
> laptop model that suddenly had no backlight control.
>
> Fix: As the ACPI BIOS is broken on a way that only the *wrong* graphics
> definition will be accepted by acpi-video as the right definition lacks an
> attribute to be considered, the fix is to have less strict requirements to
> that check, so the definition for the right graphics device gets accepted (a
> patch doing that unconditionally, has been submitted upstream and has been
> acked, but might not make it until 2.6.32). For the stable tree I created
> more code which makes sure the less strict tests only take effect on that
> laptop or when the user really wants to.
>
> Testcase: Booting on another laptop will not activate the code (which
> prints a "Using less strict video detection..." message) but will do with
> "acpi_video_strict_detect=0". In both cases nothing bad happened. The
> affected laptop boots and selects the new check which gives back the
> backlight control.
>
> ---
>
> Since the 2.6.27-11 generic kernel (also in 2.6.27-12) I cannot change the
> backlight brightness anymore. In the latest kernel, it seems there's no more
> file in /proc/acpi/video, but GFX0 still apears in 2.6.27-9 where I can
> still change brightness. I'm new to linux so if you need information give me
> the command to run. It's an acer 6920G laptop.
>

Pablo (pjferra) wrote :

Dear Stefan,

I've tried "dmseg | grep 'less restr'" as you suggested and got nothing.
Where should I type the "acpi_video_strict_detect=0" option? You'll see I'm
not very experimented user...
Thanks

2009/10/3 Stefan Bader <email address hidden>

> @Pablo,
>
> sorry to hear that and strange. Because the patch should be included in
> -15.52
> as far as I can see. Do you get a message when doing "dmesg |grep 'less
> restr'"? If not, you might try to boot with acpi_video_strict_detect=0 and
> see
> whether that helps.
>
> Maybe you had a version installed, that did not do a check for a certain
> system
> (I already wondered why the latest one worked for you as you had a slightly
> different laptop, iirc).
>
> Going back to that kernel version should work with "dpkg -i" but on the
> other
> hand would keep you from getting any updates that came along with the newer
> version.
>
> Please let me know whether the boot option above helps.
>
> --
> Acer: Cannot change brightness with 2.6.27-11+ kernel
> https://bugs.launchpad.net/bugs/333386
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “linux” package in Ubuntu: Fix Released
> Status in linux in Ubuntu Intrepid: Fix Released
> Status in linux in Ubuntu Jaunty: Fix Released
> Status in linux in Ubuntu Karmic: Fix Released
>
> Bug description:
> SRU justification:
>
> Impact: After I carelessly pulled in some updates to the ACPI video code,
> we were faced with some regressions. One was (at least) a certain Acer
> laptop model that suddenly had no backlight control.
>
> Fix: As the ACPI BIOS is broken on a way that only the *wrong* graphics
> definition will be accepted by acpi-video as the right definition lacks an
> attribute to be considered, the fix is to have less strict requirements to
> that check, so the definition for the right graphics device gets accepted (a
> patch doing that unconditionally, has been submitted upstream and has been
> acked, but might not make it until 2.6.32). For the stable tree I created
> more code which makes sure the less strict tests only take effect on that
> laptop or when the user really wants to.
>
> Testcase: Booting on another laptop will not activate the code (which
> prints a "Using less strict video detection..." message) but will do with
> "acpi_video_strict_detect=0". In both cases nothing bad happened. The
> affected laptop boots and selects the new check which gives back the
> backlight control.
>
> ---
>
> Since the 2.6.27-11 generic kernel (also in 2.6.27-12) I cannot change the
> backlight brightness anymore. In the latest kernel, it seems there's no more
> file in /proc/acpi/video, but GFX0 still apears in 2.6.27-9 where I can
> still change brightness. I'm new to linux so if you need information give me
> the command to run. It's an acer 6920G laptop.
>

Temporary in Jaunty, when you see the grub screen go to the kernel you want to
boot, type "e", go to the (I think 3rd) line containing the "quiet splash" and
press "e" again, then add the argument and press enter, then "b".

Permanent "sudo vi /boot/grub/menu.lst" then add it to the commented line
"defoptions=quiet splash". After that is saved run "sudo update-grub"

Dear Stefan,

Thanks for your time, but unfortunately it didn't worked.
I've tried both ways (temporary and permanent)
By the way, I noticed another slight change: when connect or disconnect the
power adapter it no longer shows the upper right message showing that
brightness had been changed
I wait for more instructions to going on trying solutions.

(forgive my english if it's not very clear)

2009/10/9 Stefan Bader <email address hidden>

> Temporary in Jaunty, when you see the grub screen go to the kernel you want
> to
> boot, type "e", go to the (I think 3rd) line containing the "quiet splash"
> and
> press "e" again, then add the argument and press enter, then "b".
>
> Permanent "sudo vi /boot/grub/menu.lst" then add it to the commented line
> "defoptions=quiet splash". After that is saved run "sudo update-grub"
>
> --
> Acer: Cannot change brightness with 2.6.27-11+ kernel
> https://bugs.launchpad.net/bugs/333386
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “linux” package in Ubuntu: Fix Released
> Status in linux in Ubuntu Intrepid: Fix Released
> Status in linux in Ubuntu Jaunty: Fix Released
> Status in linux in Ubuntu Karmic: Fix Released
>
> Bug description:
> SRU justification:
>
> Impact: After I carelessly pulled in some updates to the ACPI video code,
> we were faced with some regressions. One was (at least) a certain Acer
> laptop model that suddenly had no backlight control.
>
> Fix: As the ACPI BIOS is broken on a way that only the *wrong* graphics
> definition will be accepted by acpi-video as the right definition lacks an
> attribute to be considered, the fix is to have less strict requirements to
> that check, so the definition for the right graphics device gets accepted (a
> patch doing that unconditionally, has been submitted upstream and has been
> acked, but might not make it until 2.6.32). For the stable tree I created
> more code which makes sure the less strict tests only take effect on that
> laptop or when the user really wants to.
>
> Testcase: Booting on another laptop will not activate the code (which
> prints a "Using less strict video detection..." message) but will do with
> "acpi_video_strict_detect=0". In both cases nothing bad happened. The
> affected laptop boots and selects the new check which gives back the
> backlight control.
>
> ---
>
> Since the 2.6.27-11 generic kernel (also in 2.6.27-12) I cannot change the
> backlight brightness anymore. In the latest kernel, it seems there's no more
> file in /proc/acpi/video, but GFX0 still apears in 2.6.27-9 where I can
> still change brightness. I'm new to linux so if you need information give me
> the command to run. It's an acer 6920G laptop.
>

Please attach the ouput of dmesg (while using one of the two ways of specifying
the options) and attach it here.

Download full text (55.1 KiB)

Here it is:

[ 0.000000] BIOS EBDA/lowmem at: 0009d400/0009d400
[ 0.000000] Initializing cgroup subsys cpuset
[ 0.000000] Initializing cgroup subsys cpu
[ 0.000000] Linux version 2.6.28-15-generic (buildd@yellow) (gcc version
4.3.3 (Ubuntu 4.3.3-5ubuntu4) ) #52-Ubuntu SMP Wed Sep 9 10:48:52 UTC 2009
(Ubuntu 2.6.28-15.52-generic)
[ 0.000000] Command line: root=UUID=687c5346-c444-44b6-a971-807d56823273
ro quiet splash acpi_video_strict_detect=0
[ 0.000000] KERNEL supported cpus:
[ 0.000000] Intel GenuineIntel
[ 0.000000] AMD AuthenticAMD
[ 0.000000] Centaur CentaurHauls
[ 0.000000] BIOS-provided physical RAM map:
[ 0.000000] BIOS-e820: 0000000000000000 - 000000000009d400 (usable)
[ 0.000000] BIOS-e820: 000000000009d400 - 00000000000a0000 (reserved)
[ 0.000000] BIOS-e820: 00000000000d2000 - 00000000000d8000 (reserved)
[ 0.000000] BIOS-e820: 00000000000e4000 - 0000000000100000 (reserved)
[ 0.000000] BIOS-e820: 0000000000100000 - 000000007b6a1000 (usable)
[ 0.000000] BIOS-e820: 000000007b6a1000 - 000000007b6a7000 (reserved)
[ 0.000000] BIOS-e820: 000000007b6a7000 - 000000007b7b9000 (usable)
[ 0.000000] BIOS-e820: 000000007b7b9000 - 000000007b80f000 (reserved)
[ 0.000000] BIOS-e820: 000000007b80f000 - 000000007b908000 (usable)
[ 0.000000] BIOS-e820: 000000007b908000 - 000000007bb0f000 (reserved)
[ 0.000000] BIOS-e820: 000000007bb0f000 - 000000007bb19000 (usable)
[ 0.000000] BIOS-e820: 000000007bb19000 - 000000007bb1f000 (reserved)
[ 0.000000] BIOS-e820: 000000007bb1f000 - 000000007bb5f000 (usable)
[ 0.000000] BIOS-e820: 000000007bb5f000 - 000000007bb9f000 (ACPI NVS)
[ 0.000000] BIOS-e820: 000000007bb9f000 - 000000007bbe2000 (usable)
[ 0.000000] BIOS-e820: 000000007bbe2000 - 000000007bbff000 (ACPI data)
[ 0.000000] BIOS-e820: 000000007bbff000 - 000000007bc00000 (usable)
[ 0.000000] BIOS-e820: 000000007bc00000 - 000000007be00000 (reserved)
[ 0.000000] BIOS-e820: 000000007c000000 - 0000000080000000 (reserved)
[ 0.000000] BIOS-e820: 00000000e0000000 - 00000000f0000000 (reserved)
[ 0.000000] BIOS-e820: 00000000fec00000 - 00000000fec10000 (reserved)
[ 0.000000] BIOS-e820: 00000000fed00000 - 00000000fed00400 (reserved)
[ 0.000000] BIOS-e820: 00000000fed10000 - 00000000fed14000 (reserved)
[ 0.000000] BIOS-e820: 00000000fed18000 - 00000000fed1a000 (reserved)
[ 0.000000] BIOS-e820: 00000000fed1c000 - 00000000fed90000 (reserved)
[ 0.000000] BIOS-e820: 00000000fee00000 - 00000000fee01000 (reserved)
[ 0.000000] BIOS-e820: 00000000ff800000 - 0000000100000000 (reserved)
[ 0.000000] DMI present.
[ 0.000000] Phoenix BIOS detected: BIOS may corrupt low RAM, working it
around.
[ 0.000000] last_pfn = 0x7bc00 max_arch_pfn = 0x3ffffffff
[ 0.000000] Scanning 0 areas for low memory corruption
[ 0.000000] modified physical RAM map:
[ 0.000000] modified: 0000000000000000 - 0000000000010000 (reserved)
[ 0.000000] modified: 0000000000010000 - 000000000009d400 (usable)
[ 0.000000] modified: 000000000009d400 - 00000000000a0000 (reserved)
[ 0.000000] modified: 00000000000d2000 - 00000000000d8000 (reserved)
...

Pablo (pjferra) wrote :

If you prefer, here is attached

2009/10/9 Stefan Bader <email address hidden>

> Please attach the ouput of dmesg (while using one of the two ways of
> specifying
> the options) and attach it here.
>
> --
> Acer: Cannot change brightness with 2.6.27-11+ kernel
> https://bugs.launchpad.net/bugs/333386
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “linux” package in Ubuntu: Fix Released
> Status in linux in Ubuntu Intrepid: Fix Released
> Status in linux in Ubuntu Jaunty: Fix Released
> Status in linux in Ubuntu Karmic: Fix Released
>
> Bug description:
> SRU justification:
>
> Impact: After I carelessly pulled in some updates to the ACPI video code,
> we were faced with some regressions. One was (at least) a certain Acer
> laptop model that suddenly had no backlight control.
>
> Fix: As the ACPI BIOS is broken on a way that only the *wrong* graphics
> definition will be accepted by acpi-video as the right definition lacks an
> attribute to be considered, the fix is to have less strict requirements to
> that check, so the definition for the right graphics device gets accepted (a
> patch doing that unconditionally, has been submitted upstream and has been
> acked, but might not make it until 2.6.32). For the stable tree I created
> more code which makes sure the less strict tests only take effect on that
> laptop or when the user really wants to.
>
> Testcase: Booting on another laptop will not activate the code (which
> prints a "Using less strict video detection..." message) but will do with
> "acpi_video_strict_detect=0". In both cases nothing bad happened. The
> affected laptop boots and selects the new check which gives back the
> backlight control.
>
> ---
>
> Since the 2.6.27-11 generic kernel (also in 2.6.27-12) I cannot change the
> backlight brightness anymore. In the latest kernel, it seems there's no more
> file in /proc/acpi/video, but GFX0 still apears in 2.6.27-9 where I can
> still change brightness. I'm new to linux so if you need information give me
> the command to run. It's an acer 6920G laptop.
>

@Pablo, looking at your dmesg it seems you got the option correctly set and it
is using the less restrictive mode for the brightness control. So acer-wmi
leaves that untouched. Now, when running exactly that mode, can you do a "sudo
grep -r . /proc/acpi/video" and attach that output as well?

Attached...

2009/10/12 Stefan Bader <email address hidden>

> @Pablo, looking at your dmesg it seems you got the option correctly set and
> it
> is using the less restrictive mode for the brightness control. So acer-wmi
> leaves that untouched. Now, when running exactly that mode, can you do a
> "sudo
> grep -r . /proc/acpi/video" and attach that output as well?
>
> --
> Acer: Cannot change brightness with 2.6.27-11+ kernel
> https://bugs.launchpad.net/bugs/333386
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “linux” package in Ubuntu: Fix Released
> Status in linux in Ubuntu Intrepid: Fix Released
> Status in linux in Ubuntu Jaunty: Fix Released
> Status in linux in Ubuntu Karmic: Fix Released
>
> Bug description:
> SRU justification:
>
> Impact: After I carelessly pulled in some updates to the ACPI video code,
> we were faced with some regressions. One was (at least) a certain Acer
> laptop model that suddenly had no backlight control.
>
> Fix: As the ACPI BIOS is broken on a way that only the *wrong* graphics
> definition will be accepted by acpi-video as the right definition lacks an
> attribute to be considered, the fix is to have less strict requirements to
> that check, so the definition for the right graphics device gets accepted (a
> patch doing that unconditionally, has been submitted upstream and has been
> acked, but might not make it until 2.6.32). For the stable tree I created
> more code which makes sure the less strict tests only take effect on that
> laptop or when the user really wants to.
>
> Testcase: Booting on another laptop will not activate the code (which
> prints a "Using less strict video detection..." message) but will do with
> "acpi_video_strict_detect=0". In both cases nothing bad happened. The
> affected laptop boots and selects the new check which gives back the
> backlight control.
>
> ---
>
> Since the 2.6.27-11 generic kernel (also in 2.6.27-12) I cannot change the
> backlight brightness anymore. In the latest kernel, it seems there's no more
> file in /proc/acpi/video, but GFX0 still apears in 2.6.27-9 where I can
> still change brightness. I'm new to linux so if you need information give me
> the command to run. It's an acer 6920G laptop.
>

Pablo (pjferra) wrote :

Dear Stefan,

Reading the dmesg log I founded this in line #34:
[ 0.000000] Phoenix BIOS detected: BIOS may corrupt low RAM, working it
around.

Does it mean is there anything wrong with my laptop's BIOS or RAM?

Have you done any progress on the brightness problem?
I'm about installing Karmic beta to test it and will tell you what happens

2009/10/13 Pablo Javier Ferrari Ferrando <email address hidden>

> Attached...
>
>
>
> 2009/10/12 Stefan Bader <email address hidden>
>
> @Pablo, looking at your dmesg it seems you got the option correctly set and
>> it
>> is using the less restrictive mode for the brightness control. So acer-wmi
>> leaves that untouched. Now, when running exactly that mode, can you do a
>> "sudo
>> grep -r . /proc/acpi/video" and attach that output as well?
>>
>> --
>> Acer: Cannot change brightness with 2.6.27-11+ kernel
>> https://bugs.launchpad.net/bugs/333386
>> You received this bug notification because you are a direct subscriber
>> of a duplicate bug.
>>
>> Status in “linux” package in Ubuntu: Fix Released
>> Status in linux in Ubuntu Intrepid: Fix Released
>> Status in linux in Ubuntu Jaunty: Fix Released
>> Status in linux in Ubuntu Karmic: Fix Released
>>
>> Bug description:
>> SRU justification:
>>
>> Impact: After I carelessly pulled in some updates to the ACPI video code,
>> we were faced with some regressions. One was (at least) a certain Acer
>> laptop model that suddenly had no backlight control.
>>
>> Fix: As the ACPI BIOS is broken on a way that only the *wrong* graphics
>> definition will be accepted by acpi-video as the right definition lacks an
>> attribute to be considered, the fix is to have less strict requirements to
>> that check, so the definition for the right graphics device gets accepted (a
>> patch doing that unconditionally, has been submitted upstream and has been
>> acked, but might not make it until 2.6.32). For the stable tree I created
>> more code which makes sure the less strict tests only take effect on that
>> laptop or when the user really wants to.
>>
>> Testcase: Booting on another laptop will not activate the code (which
>> prints a "Using less strict video detection..." message) but will do with
>> "acpi_video_strict_detect=0". In both cases nothing bad happened. The
>> affected laptop boots and selects the new check which gives back the
>> backlight control.
>>
>> ---
>>
>> Since the 2.6.27-11 generic kernel (also in 2.6.27-12) I cannot change the
>> backlight brightness anymore. In the latest kernel, it seems there's no more
>> file in /proc/acpi/video, but GFX0 still apears in 2.6.27-9 where I can
>> still change brightness. I'm new to linux so if you need information give me
>> the command to run. It's an acer 6920G laptop.
>>
>
>

Pablo wrote:

Sorry for getting back that late.

> Reading the dmesg log I founded this in line #34:
> [ 0.000000] Phoenix BIOS detected: BIOS may corrupt low RAM, working it
> around.
>
> Does it mean is there anything wrong with my laptop's BIOS or RAM?

Sort of. It is a common "problem" that some BIOS are using parts of
the lower RAM as storage and the kernel just marks a certain area of the
memory as not usable to work around this. So your RAM is ok, your BIOS
just happens to be one that does use a bit of the lower memory but you
should be alright with that.

> Have you done any progress on the brightness problem?
> I'm about installing Karmic beta to test it and will tell you what happens

I have not have time to specifically work on this. However, all the changes
went upstream and into Karmic. Actually a few more. So you should definitely
try Karmic. Also, as we move ahead, things that are not really critical will
not get fixed in Jaunty. Even Karmic will receive a little less care as the
main effort goes into making the next LTS.

gidantribal (aedo999) wrote :

@Stefan Bader:

I can confirm bug is definitely solved with Koala Karmic x64 out-of-the-box. Really great job, well done.

Dear Stefan,

I've installed Karmic from new and the bringhtness problem persists.
But now I can't find the menu.lst file to set the boot option.
Before installing, I had tried to go back to the last patched kernel version
with dkpg. I successfully changed the kernel, but the brightness control
didn't come back.
I'm attaching the dmesg output.
My eyes will thank your efforts.

Pablo (pjferra) wrote :

2009/11/17 Pablo Javier Ferrari Ferrando <email address hidden>

> Dear Stefan,
>
> I've installed Karmic from new and the bringhtness problem persists.
> But now I can't find the menu.lst file to set the boot option.
> Before installing, I had tried to go back to the last patched kernel
> version with dkpg. I successfully changed the kernel, but the brightness
> control didn't come back.
> I'm attaching the dmesg output.
> My eyes will thank your efforts.
>

Pablo (pjferra) wrote :

Tonight I upgrade the kernel with the last version for Karmic. It said there
was a solution for the brightness problem but it didn't work. I've tried
with and without the "acpi_video_strict_detect=0" option and nothing
changed.
I keep waiting for a solution.
Thanks for your efforts.

2009/11/24 Pablo Javier Ferrari Ferrando <email address hidden>

>
>
> 2009/11/17 Pablo Javier Ferrari Ferrando <email address hidden>
>
> Dear Stefan,
>>
>> I've installed Karmic from new and the bringhtness problem persists.
>> But now I can't find the menu.lst file to set the boot option.
>> Before installing, I had tried to go back to the last patched kernel
>> version with dkpg. I successfully changed the kernel, but the brightness
>> control didn't come back.
>> I'm attaching the dmesg output.
>> My eyes will thank your efforts.
>>
>
>

Stefan Bader (smb) wrote :

Hi Pablo, sorry for responding that late. The boot option (acpi_video_strict_detect=0) is only useful in Jaunty. Karmic is less restrictive by default and from the dmesg I see that the acpi video driver detects a gfx device. So in all this looks like a different problem and it should get into a new bug report (beside this one being so big one can hardy find information).
So can you please open a new bug by calling "ubuntu-bug linux" on the command line. This will gather basic information and opens the bug. Give it a description like "Acer <your laptop model>: Cannot change brightness (at all | with hotkeys)".
Then attach the output of

- "sudo acpidump -o acpidump.txt"
- "grep -r . /proc/acpi/video >acpi-video.txt"

And finally assign me to that bug. You can also try to use "acpi_backlight=vendor" on the grub commandline and if that changes anything, please note that in the new bug as well.

Pablo (pjferra) wrote :

Ok Stefan, I've already done it.
Hope it would help
Wish to hear good news
Thanks again

            Pablo

2009/11/26 Stefan Bader <email address hidden>

> Hi Pablo, sorry for responding that late. The boot option
> (acpi_video_strict_detect=0) is only useful in Jaunty. Karmic is less
> restrictive by default and from the dmesg I see that the acpi video driver
> detects a gfx device. So in all this looks like a different problem and it
> should get into a new bug report (beside this one being so big one can hardy
> find information).
> So can you please open a new bug by calling "ubuntu-bug linux" on the
> command line. This will gather basic information and opens the bug. Give it
> a description like "Acer <your laptop model>: Cannot change brightness (at
> all | with hotkeys)".
> Then attach the output of
>
> - "sudo acpidump -o acpidump.txt"
> - "grep -r . /proc/acpi/video >acpi-video.txt"
>
> And finally assign me to that bug. You can also try to use
> "acpi_backlight=vendor" on the grub commandline and if that changes
> anything, please note that in the new bug as well.
>
> --
> Acer: Cannot change brightness with 2.6.27-11+ kernel
> https://bugs.launchpad.net/bugs/333386
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “linux” package in Ubuntu: Fix Released
> Status in “linux” source package in Intrepid: Fix Released
> Status in “linux” source package in Jaunty: Fix Released
> Status in “linux” source package in Karmic: Fix Released
>
> Bug description:
> SRU justification:
>
> Impact: After I carelessly pulled in some updates to the ACPI video code,
> we were faced with some regressions. One was (at least) a certain Acer
> laptop model that suddenly had no backlight control.
>
> Fix: As the ACPI BIOS is broken on a way that only the *wrong* graphics
> definition will be accepted by acpi-video as the right definition lacks an
> attribute to be considered, the fix is to have less strict requirements to
> that check, so the definition for the right graphics device gets accepted (a
> patch doing that unconditionally, has been submitted upstream and has been
> acked, but might not make it until 2.6.32). For the stable tree I created
> more code which makes sure the less strict tests only take effect on that
> laptop or when the user really wants to.
>
> Testcase: Booting on another laptop will not activate the code (which
> prints a "Using less strict video detection..." message) but will do with
> "acpi_video_strict_detect=0". In both cases nothing bad happened. The
> affected laptop boots and selects the new check which gives back the
> backlight control.
>
> ---
>
> Since the 2.6.27-11 generic kernel (also in 2.6.27-12) I cannot change the
> backlight brightness anymore. In the latest kernel, it seems there's no more
> file in /proc/acpi/video, but GFX0 still apears in 2.6.27-9 where I can
> still change brightness. I'm new to linux so if you need information give me
> the command to run. It's an acer 6920G laptop.
>

Changed in linux (Ubuntu Intrepid):
status: Fix Released → Fix Committed
status: Fix Committed → Fix Released
Displaying first 40 and last 40 comments. View all 134 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers